Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IEditorSite

All Superinterfaces:
  IAdaptable, IWorkbenchPartSite, IWorkbenchSite

All Known Implementing Classes:
  MultiPageEditorSite

public interface IEditorSite
extends IWorkbenchPartSite

The primary interface between an editor part and the workbench.

The workbench exposes its implemention of editor part sites via this interface, which is not intended to be implemented or extended by clients.

Method Summary
`IEditorActionBarContributor` | `getActionBarContributor()` Returns the action bar contributor for this editor.
`IActionBars` | `getActionBars()` Returns the action bars for this part site.

Methods inherited from interface org.eclipse.ui.IWorkbenchPartSite
`getId, getKeyBindingService, getPluginId, getRegisteredName, registerContextMenu, registerContextMenu`

Methods inherited from interface org.eclipse.ui.IWorkbenchSite
`getPage, getSelectionProvider, getShell, getWorkbenchWindow, setSelectionProvider`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getActionBarContributor

    public IEditorActionBarContributor getActionBarContributor()

  Returns the action bar contributor for this editor.

  An action contributor is responsable for the creation of actions. By design, this contributor is used for one or more editors of the same type. Thus, the contributor returned by this method is not owned completely by the editor - it is shared.

  Returns:
    the editor action bar contributor, or `null` if none exists

### getActionBars

    public IActionBars getActionBars()

  Returns the action bars for this part site. Editors of the same type share the same action bars. Contributions to the action bars are done by the `IEditorActionBarContributor`.

  Returns:
    the action bars
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.